# Blink Musca LEDs example #
This example switches ON and OFF the Musca LEDs with a hard coded interval
The implementation is divided in secure and non-secure code.

The secure code performs the follow functionality:
  - Sets secure and non-secure system configuration.
  - Handles time management for configured interval
  - Initilizes GPIO pins for the LEDs
  - Switches on/off user LEDs after enough time has passed
The DOMAIN_NS flag is set to 0 (-D__DOMAIN_NS=0) to compile the secure code.

The non-secure code performs the follow functionality:
  - If there is only one LED
      - Asks the secure code to switch LED state
      - Maintains LED state based on the return value from the secure code
  - If there are many LEDs
      - Maintains the state of the LED that has changed the last time
        based on the return value from the secure code
      - Asks the secure code to switch state of the next LED
The DOMAIN_NS flag is set to 1 (-D__DOMAIN_NS=1) to compile the non-secure code.

To compile this example correctly the secure code needs to be compiled first and then the non-secure.
As a result of the secure build an object file with the veneers is generated which is then linked to the non-secure image.

To load the images to the Musca board just click on the Load icon, it does not matter which image is loaded first.
After this select the other project under the manage multi-project-workspace tab and load the other image as well.
