/*
 * Copyright (c) 2017 ARM Limited
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __COMMON_H__
#define __COMMON_H__

#include <stdint.h>
#include "platform_retarget_dev.h"

/**
 * \brief Presses doorbell for a given physical channel
 *
 * \param[in] physical_ch  Physical channel to ping.
 */
void press_doorbell(uint32_t physical_ch);

/**
 * \brief Blinks led connected to pin
 *
 * \param[in] pin      Pin to which led is connected for blinking
 * \param[in] times    No of times led blinks, 0: forever
 * \param[in] delay    Delay between on and off while blinking
 */
void blink_led(uint32_t pin, uint32_t times, uint32_t delay);

#endif /* __COMMON_H__ */
